Package twisted :: Package web :: Module soap :: Class SOAPPublisher

[frames | no frames]

## Class SOAPPublisher

    Resource --+
               |
              SOAPPublisher

Publish SOAP methods.

By default, publish methods beginning with 'soap_'. If the method has an attribute 'useKeywords', it well get the arguments passed as keyword args.

Method Summary
| `_gotError(self, failure, request, methodName)`
| `_gotResult(self, result, request, methodName)`
| `_methodNotFound(self, request, methodName)`
| `_sendResponse(self, request, response, status)`
| ``lookupFunction`(self, functionName)` Lookup published SOAP function.
| ``render`(self, request)` Handle a SOAP command.
Inherited from Resource
| ``__init__`(self)` Initialize.
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render_HEAD`(self, request)` Default handling of HEAD method.

Class Variable Summary
`str` | `encoding` = `'UTF-8'`
`int` | `isLeaf` = 1
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### lookupFunction(self, functionName)

Lookup published SOAP function.

Override in subclasses. Default behaviour - publish methods starting with soap_, if they have true attribute useKeywords they are expected to accept keywords.

  Returns:
    tuple (callable, useKeywords), or (None, None) if not found.

### render(self, request)

Handle a SOAP command.

  Overrides:
    `twisted.web.resource.Resource.render`

Class Variable Details

### encoding

  Type:
    `str`
  Value:

        'UTF-8'

### isLeaf

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:06 2004 | http://epydoc.sf.net